package com.ss.android.ugc.aweme.ml.infra;

import X.M12;
import android.text.TextUtils;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.util.List;
import kotlin.o.z;

public class FeatureTypeConfig {
    @c(LIZ = "enable")
    public boolean enable;
    @c(LIZ = "range")
    public int range;
    @c(LIZ = "exclude_this")
    public boolean rangeExcludeThis;
    @c(LIZ = "sub_type")
    public String subType = "all";
    public List<String> subTypeList;

    static {
        Covode.recordClassIndex(93002);
    }

    public final boolean getEnable() {
        return this.enable;
    }

    public final int getRange() {
        return this.range;
    }

    public final boolean getRangeExcludeThis() {
        return this.rangeExcludeThis;
    }

    public final String getSubType() {
        return this.subType;
    }

    public String toString() {
        return super.toString();
    }

    public final List<String> getSubTypeList() {
        if (this.subTypeList == null) {
            this.subTypeList = z.LIZ(this.subType, new String[]{"|"}, 0, 6);
        }
        return this.subTypeList;
    }

    public final void setEnable(boolean z) {
        this.enable = z;
    }

    public final void setRange(int i) {
        this.range = i;
    }

    public final void setRangeExcludeThis(boolean z) {
        this.rangeExcludeThis = z;
    }

    public final void setSubType(String str) {
        M12.LIZ(str);
        this.subType = str;
    }

    public final boolean containSubType(String str) {
        M12.LIZ(str);
        return containSubType(str, false);
    }

    public final boolean containSubType(String str, boolean z) {
        List<String> subTypeList2;
        M12.LIZ(str);
        if (!TextUtils.isEmpty(this.subType) && (subTypeList2 = getSubTypeList()) != null && ((!z && subTypeList2.contains("all")) || subTypeList2.contains(str))) {
            return true;
        }
        return false;
    }
}
